%define ghc_ver %(ghc --version | sed "s|.*version ||")
%define pkg_name base64-bytestring

Name:          ghc-base64-bytestring
Version:       1.2.1.0
Release:       1mamba
Summary:       A Haskell library for working with base64-encoded data quickly and efficiently
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/haskell/base64-bytestring
Source:        https://hackage.haskell.org/package/base64-bytestring-%{version}/base64-bytestring-%{version}.tar.gz
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: ghc
BuildRequires: glibc-devel
BuildRequires: libgmp-devel
## AUTOBUILDREQ-END
BuildRequires: ghc
Requires:      ghc = %{ghc_ver}

%description
This package provides a Haskell library for working with base64-encoded data quickly and efficiently, using the ByteString type.

%package devel
Summary:        Haskell %{pkg_name} library development files
Provides:       %{name}-static = %{version}-%{release}
Provides:       %{name}-static%{?_isa} = %{version}-%{release}
%if %{defined ghc_version}
Requires:       ghc = %{ghc_version}
%endif
Requires:       %{name}%{?_isa} = %{version}-%{release}
	
%description devel
This package provides the Haskell %{pkg_name} library development files.
	
%if %{with haddock}
%package doc
Summary:        Haskell %{pkg_name} library documentation
Requires:       ghc-filesystem
	
%description doc
This package provides the Haskell %{pkg_name} library documentation.
%endif

%prep
%setup -q -n base64-bytestring-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

rm -f %{buildroot}%{_ghclicensedir}/%{name}/LICENSE

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}.files
%defattr(-,root,root)
%license LICENSE

%files devel -f %{name}-devel.files
%doc CHANGELOG.md README.md

%if %{with haddock}	
%files doc -f %{name}-doc.files
%license LICENSE
%endif

%changelog
* Tue Nov 14 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.1.0-1mamba
- update to 1.2.1.0

* Thu Feb 04 2021 Automatic Build System <autodist@mambasoft.it> 1.2.0.1-1mamba
- automatic version update by autodist

* Sun Sep 08 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.0.1-1mamba
- package created by silvan using the webbuild interface
